---
# values file for gitea helm chart
# https://gitea.com/gitea/helm-chart/
replicaCount: 1

## @section Image
## @param image.registry image registry, e.g. gcr.io,docker.io
## @param image.repository Image to start for this pod
## @param image.tag Visit: [Image tag](https://hub.docker.com/r/gitea/gitea/tags?page=1&ordering=last_updated). Defaults to `appVersion` within Chart.yaml.
## @param image.pullPolicy Image pull policy
## @param image.rootless Whether to pull the rootless version of Gitea, only works on Gitea 1.14.x or higher
image:
  registry: ""
  repository: gitea/gitea
  # Overrides the image tag whose default is the chart appVersion.
  tag: "1.24"
  pullPolicy: Always
  rootless: true # only possible when running 1.14 or later

ingress:
  enabled: true
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-production
  hosts:
    - host: git.xai-corp.net
      paths:
        - path: /
          pathType: Prefix
  tls: # < placing a host in the TLS config will determine what ends up in the cert's subjectAltNames
    - secretName: xai-corp-production-tls-git
      hosts:
        - git.xai-corp.net

persistence:
  enabled: true
  mount: true
  create: false
  claimName: data-gitea-0

postgresql:
  enabled: false
postgresql-ha:
  enabled: false

redis-cluster:
  enabled: true

service:
  http:
    type: ClusterIP
    port: 3000
    clusterIP:
  ssh:
    port: 30022
    nodePort: 30022
    type: LoadBalancer
    clusterIP:
#    externalTrafficPolicy: Local
#    hostPort: 10022


gitea:
  config:
    APP_NAME: "Gitea: With a cup of tea, for 2."
    server:
      ROOT_URL: https://git.xai-corp.net
      SSH_PORT: 30022
      START_SSH_SERVER: true
    database:
      HOST: mysql:3306
      PATH: /data/gitea/gitea.db
      DB_TYPE: sqlite3
      USER: rmorgan
      PASSWD: rom105
      SSL_MODE: disable

    repository:
      ROOT: /data/git/repositories

    session:
      PROVIDER: redis-cluster
      PROVIDER_CONFIG: redis+cluster://:gitea@gitea-redis-cluster-headless.<namespace>.svc.cluster.local:6379/0?pool_size=100&idle_timeout=180s&

    cache:
      ENABLED: true
      ADAPTER: redis-cluster
      HOST: redis+cluster://:gitea@gitea-redis-cluster-headless.<namespace>.svc.cluster.local:6379/0?pool_size=100&idle_timeout=180s&

    queue:
      TYPE: redis
      CONN_STR: redis+cluster://:gitea@gitea-redis-cluster-headless.<namespace>.svc.cluster.local:6379/0?pool_size=100&idle_timeout=180s&
